import 'package:flutter/material.dart';
import 'package:Intaleq/constant/style.dart';

import '../../constant/colors.dart';

ThemeData lightThemeEnglish = ThemeData(
  brightness: Brightness.light,
  fontFamily: "SFPro",
  textTheme: TextTheme(
    displaySmall: AppStyle.title,
    displayLarge: AppStyle.headTitle,
    displayMedium: AppStyle.headTitle2,
    bodyLarge: AppStyle.title,
    bodyMedium: AppStyle.subtitle,
  ),
  primarySwatch: Colors.blue,
  dialogTheme: DialogThemeData(
    backgroundColor: AppColor.secondaryColor,
    contentTextStyle: AppStyle.title,
    titleTextStyle: AppStyle.headTitle2,
  ),
  appBarTheme: AppBarTheme(
    elevation: 0,
    color: AppColor.secondaryColor,
    centerTitle: true,
    iconTheme: const IconThemeData(
      color: AppColor.primaryColor,
    ),
    toolbarTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).bodyMedium,
    titleTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).titleLarge,
  ),
);

ThemeData darkThemeEnglish = ThemeData(
  brightness: Brightness.dark,
  fontFamily: "SFPro",
  textTheme: TextTheme(
    displaySmall: AppStyle.title,
    displayLarge: AppStyle.headTitle,
    displayMedium: AppStyle.headTitle2,
    bodyLarge: AppStyle.title,
    bodyMedium: AppStyle.subtitle,
  ),
  primarySwatch: Colors.blue,
  dialogTheme: DialogThemeData(
    backgroundColor: AppColor.secondaryColor,
    contentTextStyle: AppStyle.title,
    titleTextStyle: AppStyle.headTitle2,
  ),
  appBarTheme: AppBarTheme(
    elevation: 0,
    color: AppColor.secondaryColor,
    centerTitle: true,
    iconTheme: const IconThemeData(
      color: AppColor.primaryColor,
    ),
    toolbarTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).bodyMedium,
    titleTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).titleLarge,
  ),
);

ThemeData lightThemeArabic = ThemeData(
  brightness: Brightness.light,
  fontFamily: 'SFArabic',
  textTheme: TextTheme(
    displaySmall: AppStyle.title,
    displayLarge: AppStyle.headTitle,
    displayMedium: AppStyle.headTitle2,
    bodyLarge: AppStyle.title,
    bodyMedium: AppStyle.subtitle,
  ),
  primarySwatch: Colors.blue,
  dialogTheme: DialogThemeData(
    backgroundColor: AppColor.secondaryColor,
    contentTextStyle: AppStyle.title,
    titleTextStyle: AppStyle.headTitle2,
  ),
  appBarTheme: AppBarTheme(
    elevation: 0,
    color: AppColor.secondaryColor,
    centerTitle: true,
    iconTheme: const IconThemeData(
      color: AppColor.primaryColor,
    ),
    toolbarTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).bodyMedium,
    titleTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).titleLarge,
  ),
);

ThemeData darkThemeArabic = ThemeData(
  brightness: Brightness.dark,
  fontFamily: 'SFArabic',
  textTheme: TextTheme(
    displaySmall: AppStyle.title,
    displayLarge: AppStyle.headTitle,
    displayMedium: AppStyle.headTitle2,
    bodyLarge: AppStyle.title,
    bodyMedium: AppStyle.subtitle,
  ),
  primarySwatch: Colors.blue,
  dialogTheme: DialogThemeData(
    backgroundColor: AppColor.secondaryColor,
    contentTextStyle: AppStyle.title,
    titleTextStyle: AppStyle.headTitle2,
  ),
  appBarTheme: AppBarTheme(
    elevation: 0,
    color: AppColor.secondaryColor,
    centerTitle: true,
    iconTheme: const IconThemeData(
      color: AppColor.primaryColor,
    ),
    toolbarTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).bodyMedium,
    titleTextStyle: TextTheme(
      titleSmall: AppStyle.subtitle,
      headlineSmall: AppStyle.title,
      titleLarge: AppStyle.headTitle2,
    ).titleLarge,
  ),
);
